%define upstream_name    Mojolicious-Plugin-TemplateToolkit
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Template Toolkit renderer plugin for
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Mojolicious) >= 6.510.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Template) >= 2.260.0
BuildRequires: perl(Template::Provider) >= 2.940.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
the Template::Provider::Mojo manpage is a the Template::Provider manpage
subclass that uses a the Mojolicious::Renderer manpage instance to resolve
template names. This means that the Mojolicious::Renderer/"paths" manpage
will be searched for file-based templates, and the
Mojolicious::Renderer/"classes" manpage will be searched for DATA
templates. The 'ENCODING' configuration setting will be initialized to the
Mojolicious::Renderer/"encoding" manpage if unset.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.6.0-2.mga9
+ Revision: 1820716
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 0.6.0-1.mga9
+ Revision: 1731850
- update to 0.006

* Tue Jan 12 2021 guillomovitch <guillomovitch> 0.5.0-1.mga8
+ Revision: 1671296
- imported package perl-Mojolicious-Plugin-TemplateToolkit


* Tue Jan 12 2021 cpan2dist 0.005-1mga
- initial mageia release, generated with cpan2dist
